%define	name	freelords
%define	version	0.3.7
%define rel         2
%define	release	%mkrel %{rel}
%define	Summary	A Linux clone of the old dos game W*arLords

Summary:	%{Summary}
Name:		%{name}
Version:         %{version}
Release:	%{release}
License:	GPL
Group:		Games/Strategy
Source:		%{name}-%{version}.tar.bz2
URL:		http://sourceforge.net/projects/freelords/
Patch0:         freelords-0.3.7-path.h.patch.bz2
Patch1:         freelords-0.3.7-ai_smart.h.patch.bz2
Patch2:         freelords-0.3.7-scroller.h.patch.bz2
Patch3:         freelords-0.3.7-tooltip.h.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libsigc++1.2-devel >= 1.2.0 paragui-devel >= 1.0.4
BuildRequires:  SDL_image-devel >= 1.2.0 
BuildRequires:  SDL_mixer-devel >= 1.2.0  
BuildRequires:	ImageMagick
##add gaming zone support
BuildRequires:  ggz-client-libs-devel
BuildRequires:  ggz-server-devel ggz-server
Obsoletes:	freelords-cvs-sdl
Provides:	freelords-cvs-sdl


%description
FreeLords is a turn-based strategy game similar to W*rl*rds. 
It can be played with friends on one computer or via a network.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build 

##CAE not needed now
##export LD_LIBRARY_PATH=/usr/X11R6/lib
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
                --enable-ggz \
                --enable-fullscreen
%make CXXFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert dat/various/%{name}.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{name}.png
convert dat/various/%{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert dat/various/%{name}.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{name}.png
  
#fix config locations
mkdir -p %{buildroot}{%{_sysconfdir}/ggzd/games,%{_sysconfdir}/ggzd/rooms}
mv %{buildroot}%{_datadir}/games/%{name}/freelordsrc %{buildroot}%{_sysconfdir}/freelordsrc
mv %{buildroot}%{_usr}/etc/ggzd/games/freelords-server.dsc %{buildroot}%{_sysconfdir}/ggzd/games/freelords-server.dsc
mv %{buildroot}%{_usr}/etc/ggzd/rooms/freelords-server.room %{buildroot}%{_sysconfdir}/ggzd/rooms/freelords-server.room
rm -rfd %{buildroot}%{_usr}/etc/ggzd
ln -s %{_sysconfdir}/freelordsrc %{buildroot}%{_datadir}/games/%{name}/freelordsrc 
ln -s %{_sysconfdir}/ggzd %{buildroot}%{_usr}/etc/ggzd

cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
	command="%{_gamesbindir}/%{name}" \
	icon="%{name}.png" \
	title="FreeLords" \
	longtitle="%{Summary}" \
	needs="x11" \
	section="More Applications/Games/Strategy"
EOF

%find_lang %{name} 

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot} 

%files  -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS BUGS COPYING ChangeLog DEPENDENCIES HACKER INSTALL NEWS README TODO
%doc doc/*
%config(noreplace) %{_sysconfdir}/freelordsrc
%config(noreplace) %{_sysconfdir}/ggz.modules
%dir %{_sysconfdir}/ggzd
%config(noreplace) %{_sysconfdir}/ggzd/games/freelords-server.dsc
%config(noreplace) %{_sysconfdir}/ggzd/rooms/freelords-server.room 
%{_prefix}/etc/ggzd
%{_gamesbindir}/freelords*
%{_gamesdatadir}/%{name} 
%{_gamesdatadir}/applications/*
%{_menudir}/%{name} 
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %{_gamesdatadir}/locale
%lang(de) %{_gamesdatadir}/locale/de/LC_MESSAGES/freelords.mo
%lang(hi) %{_gamesdatadir}/locale/hi/LC_MESSAGES/freelords.mo
%lang(it) %{_gamesdatadir}/locale/it/LC_MESSAGES/freelords.mo

%changelog
* Tue Jun 06 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.7-2mdv2007.0
- add patches p0, p1, p2, p3
- BR
- add support for GGZ Gaming Zone and running fullscreen
- no need now to export LD_LIBRARY_PATH
- update file list
- update icon

* Thu Apr 06 2006 Lenny Cartier <lenny@mandriva.com> 0.3.7-1mdk
- 0.3.7

* Wed Nov 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-1mdk
- 0.3.4
- patch merged upstream

* Mon Aug 23 2004 Charles A Edwards <eslrahc@mandrake.org> 0.3.3-2mdk
- rebuild for new menu
* Fri Jul 16 2004 Charles A Edwards <eslrahc@mandrake.org> 0.3.3-1mdk
- 0.3.3
- rediff patch 
- adjust locatin for config file
- fix Section in menu
- update file list

* Wed Jul 14 2004 Michael Scherer <misc@mandrake.org> 0.3.2-3mdk
- rebuild for new gcc ( patch 0 )
 
* Tue Mar 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.3.2-2mdk
- buildrequires

* Thu Feb 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.3.2-1mdk
- 0.3.2
- cleanup

* Fri Jan 02 2004 Charles A Edwards <eslrahc@mandrake.org>  0.3.1-1mdk
- 0.3.1
- make sure extra doc is added

* Thu Oct 16 2003 Charles A Edwards <eslrahc@bellsouth.net>  0.3.0-1mdk
- first Mdk pkg (this obsoletes the cvs release)





